## gnome-pie 0.2+gitdfdad95

=== CMakeLists.txt ===
################################################################
# Project Gnome-Pie
################################################################

project("gnomepie" C)

cmake_minimum_required(VERSION 2.6)

# Location where cmake first looks for modules.
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala)

################################################################
# Find Vala
################################################################

include(ValaPrecompile)
include(ValaVersion)

find_package(Vala)
ensure_vala_version("0.11.0" MINIMUM)

################################################################
# Configure and find libraries
################################################################

find_package(PkgConfig)
pkg_check_modules(GIO REQUIRED gio-unix-2.0)
pkg_check_modules(GTK REQUIRED gtk+-2.0)
pkg_check_modules(CAIRO REQUIRED cairo)
pkg_check_modules(GEE REQUIRED gee-1.0)
pkg_check_modules(X11 REQUIRED x11)
pkg_check_modules(INDICATOR appindicator-0.1)
pkg_check_modules(XML REQUIRED libxml-2.0)
pkg_check_modules(XTST REQUIRED xtst)
pkg_check_modules(UNIQUE REQUIRED unique-1.0)
pkg_check_modules(GMENU3 libgnome-menu-3.0)

find_library(M_LIB m)

set(CFLAGS
    ${GIO_CFLAGS}
    ${GTK_CFLAGS} ${GTK_CFLAGS_OTHER}
    ${CAIRO_CFLAGS} ${CAIRO_CFLAGS_OTHER}
    ${GEE_CFLAGS} ${CAIRO_CFLAGS_OTHER}
    ${X11_CFLAGS} ${X11_CFLAGS_OTHER}
	-DGMENU_I_KNOW_THIS_IS_UNSTABLE
    -DGETTEXT_PACKAGE="gnomepie"
	-s -O3
)

if (${GMENU3_FOUND})
    LIST(APPEND CFLAGS -DHAVE_GMENU_3)
else (${GMENU3_FOUND})
    pkg_check_modules(GMENU REQUIRED libgnome-menu)
endif (${GMENU3_FOUND})

if (${INDICATOR_FOUND})
    LIST(APPEND CFLAGS -DHAVE_APPINDICATOR)
endif (${INDICATOR_FOUND})

add_definitions(${CFLAGS})

set(LIBS
    ${GIO_LIBRARIES}
	${GTK_LIBRARIES}
	${CAIRO_LIBRARIES}
	${GEE_LIBRARIES}
	${INDICATOR_LIBRARIES}
	${XML_LIBRARIES}
	${XTST_LIBRARIES}
	${GMENU_LIBRARIES}
	${GMENU3_LIBRARIES}
	${UNIQUE_LIBRARIES}
	${X11_LIBRARIES}
	${M_LIB}
)
link_libraries(${LIBS})

set(LIB_PATHS
    ${GIO_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS}
	${CAIRO_LIBRARY_DIRS}
	${GEE_LIBRARY_DIRS}
	${INDICATOR_LIBRARY_DIRS}
	${XML_LIBRARY_DIRS}
	${XTST_LIBRARY_DIRS}
	${GMENU_LIBRARY_DIRS}
	${GMENU3_LIBRARY_DIRS}
	${UNIQUE_LIBRARY_DIRS}
	${X11_LIBRARY_DIRS}
)
link_directories(${LIB_PATHS})

set(INCLUDE_PATHS
    ${GIO_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${CAIRO_INCLUDE_DIRS}
	${GEE_INCLUDE_DIRS}
	${INDICATOR_INCLUDE_DIRS}
	${XML_INCLUDE_DIRS}
	${XTST_INCLUDE_DIRS}	
	${GMENU_INCLUDE_DIRS}
	${GMENU3_INCLUDE_DIRS}
	${UNIQUE_INCLUDE_DIRS}
	${X11_INCLUDE_DIRS}
)
include_directories(${INCLUDE_PATHS})

################################################################
# Add executable
################################################################

set(EXECUTABLE_OUTPUT_PATH ${gnomepie_SOURCE_DIR})

set(VALA_PKGS
  gtk+-2.0
  gdk-x11-2.0
  cairo
  gee-1.0
  x11
  gio-unix-2.0
  posix
  libxml-2.0
  xtst
  unique-1.0
)

if (${INDICATOR_FOUND})
    LIST(APPEND VALA_PKGS appindicator-0.1)
endif (${INDICATOR_FOUND})

if (${GMENU3_FOUND})
    LIST(APPEND VALA_PKGS libgnome-menu-3.0)
else (${GMENU3_FOUND})
    LIST(APPEND VALA_PKGS libgnome-menu)
endif (${GMENU3_FOUND})

add_subdirectory(src)

################################################################
# Add uninstall option
################################################################

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/CMake_Uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/CMake_Uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/CMake_Uninstall.cmake)

################################################################
# Summary
################################################################

message( "" )
message( "Summary:" )
message( "  EXECUTABLE_OUTPUT_PATH = ${EXECUTABLE_OUTPUT_PATH}" )
message( "  VALA_EXECUTABLE = ${VALA_EXECUTABLE}" )
message( "Libs:" )
message( "  GTK_LIBRARIES = ${GTK_LIBRARIES}" )
message( "  CAIRO_LIBRARIES = ${CAIRO_LIBRARIES}" )
message( "  GEE_LIBRARIES = ${GEE_LIBRARIES}" )
message( "  INDICATOR_LIBRARIES = ${INDICATOR_LIBRARIES}" )
message( "  XML_LIBRARIES = ${XML_LIBRARIES}" )
message( "  XTST_LIBRARIES = ${XTST_LIBRARIES}" )
message( "  GMENU_LIBRARIES = ${GMENU_LIBRARIES}" )
message( "  GMENU3_LIBRARIES = ${GMENU3_LIBRARIES}" )
message( "  UNIQUE_LIBRARIES = ${UNIQUE_LIBRARIES}" )
message( "  X11_LIBRARIES = ${X11_LIBRARIES}" )
message( "" )

=== src/CMakeLists.txt ===
################################################################
# Actually compile the executable
################################################################

# determine source and header files
file(GLOB VALA_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.vala */*.vala)

if (${INDICATOR_FOUND})
  SET(DEFINES --define HAVE_APPINDICATOR)
endif(${INDICATOR_FOUND})

if (${GMENU3_FOUND})
    LIST(APPEND DEFINES --define HAVE_GMENU_3)
endif (${GMENU3_FOUND})

# use valac to compile sources to c files
vala_precompile(
    VALA_C
        ${VALA_SRC}
    PACKAGES
        ${VALA_PKGS}
    OPTIONS
        --vapidir=${CMAKE_SOURCE_DIR}/vapi/
        --thread
        ${DEFINES}
)

# compile c-sources
add_executable(gnome-pie ${VALA_C})

# install executable
install(
	TARGETS
		gnome-pie
	RUNTIME DESTINATION
		${CMAKE_INSTALL_PREFIX}/bin
)

# install credits
install(
	FILES
		${CMAKE_SOURCE_DIR}/README
	DESTINATION
		${CMAKE_INSTALL_PREFIX}/share/doc/gnome-pie
)

# install locales
install(
	DIRECTORY
		${CMAKE_SOURCE_DIR}/resources/locale
	DESTINATION
		${CMAKE_INSTALL_PREFIX}/share
	PATTERN *.po EXCLUDE
	PATTERN *.pot EXCLUDE
	PATTERN *.sh EXCLUDE
)

# install themes
install(
	DIRECTORY
		${CMAKE_SOURCE_DIR}/resources/themes
	DESTINATION
		${CMAKE_INSTALL_PREFIX}/share/gnome-pie
)

# install icons
install(
	FILES
		${CMAKE_SOURCE_DIR}/resources/gnome-pie.svg
		${CMAKE_SOURCE_DIR}/resources/gnome-pie-indicator.svg
	DESTINATION
		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
)

# desktop file
install(
	FILES
		${CMAKE_SOURCE_DIR}/resources/gnome-pie.desktop
	DESTINATION
		${CMAKE_INSTALL_PREFIX}/share/applications
)

=== debian/changelog ===
gnome-pie (0.2+gitdfdad95-1) unstable; urgency=low

  * Initial release (Closes: #645878)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Wed, 19 Oct 2011 13:38:07 +0200

=== debian/control ===
Source: gnome-pie
Section: gnome
Priority: optional
Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
Uploaders: Andrea Veri <and@debian.org>
Build-Depends: debhelper (>= 8), cmake,
 libcairo2-dev, libgee-dev,
 libgnome-menu-dev, libgtk2.0-dev,
 libunique-dev, libxml2-dev,
 libxtst-dev, valac
Standards-Version: 3.9.2
Homepage: http://gnome-pie.simonschneegans.de/
Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-pie.git;a=summary

Package: gnome-pie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: visual application launcher for GNOME
 gnome-pie is a radial visual application launcher for GNOME. It allows the
 user to bind groups of frequently used applications to a ring that appears 
 when a hot key / mouse binding is triggered.
 .
 It was inspired by the OPie addon written for the game World of Warcraft.

=== debian/rules ===
#!/usr/bin/make -f

PKG=gnome-pie
REM=git://github.com/Simmesimme/Gnome-Pie.git
REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]git(.*)-.*,\1,p')
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# install invalid locale pt-br as pt_BR (fix unknown-locale-code)
	mv debian/$(PKG)/usr/share/locale/pt-br \
		debian/$(PKG)/usr/share/locale/pt_BR

get-orig-source:
	rm -rf $(PKG)-$(VER).orig
	git clone $(REM) $(PKG)_$(VER).orig
	cd $(PKG)_$(VER).orig && git checkout $(REV)
	rm -r $(PKG)_$(VER).orig/.git $(PKG)_$(VER).orig/.gitignore
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
		-f $(PKG)_$(VER).orig.tar.gz \
		$(PKG)_$(VER).orig
	rm -r $(PKG)_$(VER).orig

## gnome-pie 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,8 @@
 pkg_check_modules(XML REQUIRED libxml-2.0)
 pkg_check_modules(XTST REQUIRED xtst)
 pkg_check_modules(UNIQUE REQUIRED unique-1.0)
+pkg_check_modules(BAMF REQUIRED libbamf)
+pkg_check_modules(WNCK REQUIRED libwnck-1.0)
 pkg_check_modules(GMENU3 libgnome-menu-3.0)
 
 find_library(M_LIB m)
@@ -44,6 +46,7 @@
     ${GEE_CFLAGS} ${CAIRO_CFLAGS_OTHER}
     ${X11_CFLAGS} ${X11_CFLAGS_OTHER}
 	-DGMENU_I_KNOW_THIS_IS_UNSTABLE
+	-DWNCK_I_KNOW_THIS_IS_UNSTABLE
     -DGETTEXT_PACKAGE="gnomepie"
 	-s -O3
 )
@@ -72,6 +75,8 @@
 	${GMENU3_LIBRARIES}
 	${UNIQUE_LIBRARIES}
 	${X11_LIBRARIES}
+	${WNCK_LIBRARIES}
+	${BAMF_LIBRARIES}
 	${M_LIB}
 )
 link_libraries(${LIBS})
@@ -88,6 +93,8 @@
 	${GMENU3_LIBRARY_DIRS}
 	${UNIQUE_LIBRARY_DIRS}
 	${X11_LIBRARY_DIRS}
+	${WNCK_LIBRARY_DIRS}
+	${BAMF_LIBRARY_DIRS}
 )
 link_directories(${LIB_PATHS})
 
@@ -103,6 +110,8 @@
 	${GMENU3_INCLUDE_DIRS}
 	${UNIQUE_INCLUDE_DIRS}
 	${X11_INCLUDE_DIRS}
+	${BAMF_INCLUDE_DIRS}
+	${WNCK_INCLUDE_DIRS}
 )
 include_directories(${INCLUDE_PATHS})
 
@@ -123,6 +132,8 @@
   libxml-2.0
   xtst
   unique-1.0
+  bamf
+  libwnck-1.0
 )
 
 if (${INDICATOR_FOUND})
@@ -168,4 +179,6 @@
 message( "  GMENU3_LIBRARIES = ${GMENU3_LIBRARIES}" )
 message( "  UNIQUE_LIBRARIES = ${UNIQUE_LIBRARIES}" )
 message( "  X11_LIBRARIES = ${X11_LIBRARIES}" )
+message( "  BAMF_LIBRARIES = ${BAMF_LIBRARIES}" )
+message( "  WNCK_LIBRARIES = ${WNCK_LIBRARIES}" )
 message( "" )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -80,3 +80,11 @@
 		${CMAKE_INSTALL_PREFIX}/share/applications
 )
 
+# install manpage
+install(
+	FILES
+		${CMAKE_SOURCE_DIR}/resources/gnome-pie.1
+	DESTINATION
+		${CMAKE_INSTALL_PREFIX}/share/man/man1
+)
+

=== debian/changelog ===
gnome-pie (0.3.1-1) unstable; urgency=low

  [ Andrea Veri ]
  * debian/control:
    - added B-Ds on libwnck-dev, libgnome-menu-dev and
      libbamf-dev, they are required in order to build
      gnome-pie-0.3 succesfully.

  [ Alessandro Ghedini ]
  * New upstream release
  * Use tarballs provided by upstream instead of git
  * Drop manpage (merged upstream)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 20 Nov 2011 15:54:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
 Uploaders: Andrea Veri <and@debian.org>
 Build-Depends: debhelper (>= 8), cmake,
- libcairo2-dev, libgee-dev,
+ libbamf-dev, libcairo2-dev, libgee-dev,
  libgnome-menu-dev, libgtk2.0-dev,
- libunique-dev, libxml2-dev,
- libxtst-dev, valac
+ libunique-dev, libwnck-dev, 
+ libxml2-dev,  libxtst-dev, valac
 Standards-Version: 3.9.2
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# install invalid locale pt-br as pt_BR (fix unknown-locale-code)
	mv debian/gnome-pie/usr/share/locale/pt-br \
		debian/gnome-pie/usr/share/locale/pt_BR

## gnome-pie 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,51 +24,78 @@
 ################################################################
 
 find_package(PkgConfig)
+
+# check whether GTK3 is supported
+pkg_check_modules(GTK3 gtk+-3.0)
+
+if (${GTK3_FOUND})
+    pkg_check_modules(INDICATOR3 appindicator3-0.1)
+    pkg_check_modules(UNIQUE REQUIRED unique-3.0)
+    pkg_check_modules(WNCK REQUIRED libwnck-3.0)
+    pkg_check_modules(BAMF REQUIRED libbamf3)
+else (${GTK3_FOUND})
+    pkg_check_modules(GTK2 REQUIRED gtk+-2.0)
+    pkg_check_modules(INDICATOR appindicator-0.1)
+    pkg_check_modules(UNIQUE REQUIRED unique-1.0)
+    pkg_check_modules(WNCK REQUIRED libwnck-1.0)
+    pkg_check_modules(BAMF REQUIRED libbamf)
+endif (${GTK3_FOUND})
+
 pkg_check_modules(GIO REQUIRED gio-unix-2.0)
-pkg_check_modules(GTK REQUIRED gtk+-2.0)
 pkg_check_modules(CAIRO REQUIRED cairo)
 pkg_check_modules(GEE REQUIRED gee-1.0)
 pkg_check_modules(X11 REQUIRED x11)
-pkg_check_modules(INDICATOR appindicator-0.1)
 pkg_check_modules(XML REQUIRED libxml-2.0)
 pkg_check_modules(XTST REQUIRED xtst)
-pkg_check_modules(UNIQUE REQUIRED unique-1.0)
-pkg_check_modules(BAMF REQUIRED libbamf)
-pkg_check_modules(WNCK REQUIRED libwnck-1.0)
 pkg_check_modules(GMENU3 libgnome-menu-3.0)
 
 find_library(M_LIB m)
 
 set(CFLAGS
     ${GIO_CFLAGS}
-    ${GTK_CFLAGS} ${GTK_CFLAGS_OTHER}
+    ${GTK2_CFLAGS} ${GTK2_CFLAGS_OTHER}
+    ${GTK3_CFLAGS} ${GTK3_CFLAGS_OTHER}
     ${CAIRO_CFLAGS} ${CAIRO_CFLAGS_OTHER}
     ${GEE_CFLAGS} ${CAIRO_CFLAGS_OTHER}
     ${X11_CFLAGS} ${X11_CFLAGS_OTHER}
 	-DGMENU_I_KNOW_THIS_IS_UNSTABLE
 	-DWNCK_I_KNOW_THIS_IS_UNSTABLE
     -DGETTEXT_PACKAGE="gnomepie"
-	-s -O3
-)
-
+	-s -O3 -w
+#	-g
+)
+
+# fallback to gtk2 if gtk3 wasn't found
+if (${GTK3_FOUND})
+    LIST(APPEND CFLAGS -DHAVE_GTK_3)
+endif (${GTK3_FOUND})
+
+# fallback to gnome-menus2 if gnome-menus3 wasn't found
 if (${GMENU3_FOUND})
     LIST(APPEND CFLAGS -DHAVE_GMENU_3)
 else (${GMENU3_FOUND})
     pkg_check_modules(GMENU REQUIRED libgnome-menu)
 endif (${GMENU3_FOUND})
 
+# notify application of presence of libappindicator
 if (${INDICATOR_FOUND})
     LIST(APPEND CFLAGS -DHAVE_APPINDICATOR)
 endif (${INDICATOR_FOUND})
 
+if (${INDICATOR3_FOUND})
+    LIST(APPEND CFLAGS -DHAVE_APPINDICATOR3)
+endif (${INDICATOR3_FOUND})
+
 add_definitions(${CFLAGS})
 
 set(LIBS
     ${GIO_LIBRARIES}
-	${GTK_LIBRARIES}
+	${GTK2_LIBRARIES}
+	${GTK3_LIBRARIES}
 	${CAIRO_LIBRARIES}
 	${GEE_LIBRARIES}
 	${INDICATOR_LIBRARIES}
+	${INDICATOR3_LIBRARIES}
 	${XML_LIBRARIES}
 	${XTST_LIBRARIES}
 	${GMENU_LIBRARIES}
@@ -83,10 +110,12 @@
 
 set(LIB_PATHS
     ${GIO_LIBRARY_DIRS}
-	${GTK_LIBRARY_DIRS}
+	${GTK2_LIBRARY_DIRS}
+	${GTK3_LIBRARY_DIRS}
 	${CAIRO_LIBRARY_DIRS}
 	${GEE_LIBRARY_DIRS}
 	${INDICATOR_LIBRARY_DIRS}
+	${INDICATOR3_LIBRARY_DIRS}
 	${XML_LIBRARY_DIRS}
 	${XTST_LIBRARY_DIRS}
 	${GMENU_LIBRARY_DIRS}
@@ -100,10 +129,12 @@
 
 set(INCLUDE_PATHS
     ${GIO_INCLUDE_DIRS}
-	${GTK_INCLUDE_DIRS}
+	${GTK2_INCLUDE_DIRS}
+	${GTK3_INCLUDE_DIRS}
 	${CAIRO_INCLUDE_DIRS}
 	${GEE_INCLUDE_DIRS}
 	${INDICATOR_INCLUDE_DIRS}
+	${INDICATOR3_INCLUDE_DIRS}
 	${XML_INCLUDE_DIRS}
 	${XTST_INCLUDE_DIRS}	
 	${GMENU_INCLUDE_DIRS}
@@ -122,8 +153,6 @@
 set(EXECUTABLE_OUTPUT_PATH ${gnomepie_SOURCE_DIR})
 
 set(VALA_PKGS
-  gtk+-2.0
-  gdk-x11-2.0
   cairo
   gee-1.0
   x11
@@ -131,14 +160,15 @@
   posix
   libxml-2.0
   xtst
-  unique-1.0
-  bamf
-  libwnck-1.0
 )
 
 if (${INDICATOR_FOUND})
     LIST(APPEND VALA_PKGS appindicator-0.1)
 endif (${INDICATOR_FOUND})
+
+if (${INDICATOR3_FOUND})
+    LIST(APPEND VALA_PKGS appindicator3-0.1)
+endif (${INDICATOR3_FOUND})
 
 if (${GMENU3_FOUND})
     LIST(APPEND VALA_PKGS libgnome-menu-3.0)
@@ -146,6 +176,20 @@
     LIST(APPEND VALA_PKGS libgnome-menu)
 endif (${GMENU3_FOUND})
 
+if (${GTK3_FOUND})
+    LIST(APPEND VALA_PKGS gtk+-3.0)
+    LIST(APPEND VALA_PKGS gdk-x11-3.0)
+    LIST(APPEND VALA_PKGS libbamf3)
+    LIST(APPEND VALA_PKGS libwnck-3.0)
+    LIST(APPEND VALA_PKGS unique-3.0)
+else (${GTK3_FOUND})
+    LIST(APPEND VALA_PKGS gtk+-2.0)
+    LIST(APPEND VALA_PKGS gdk-x11-2.0)
+    LIST(APPEND VALA_PKGS bamf)
+    LIST(APPEND VALA_PKGS libwnck-1.0)
+    LIST(APPEND VALA_PKGS unique-1.0)
+endif (${GTK3_FOUND})
+
 add_subdirectory(src)
 
 ################################################################
@@ -169,10 +213,12 @@
 message( "  EXECUTABLE_OUTPUT_PATH = ${EXECUTABLE_OUTPUT_PATH}" )
 message( "  VALA_EXECUTABLE = ${VALA_EXECUTABLE}" )
 message( "Libs:" )
-message( "  GTK_LIBRARIES = ${GTK_LIBRARIES}" )
+message( "  GTK2_LIBRARIES = ${GTK2_LIBRARIES}" )
+message( "  GTK3_LIBRARIES = ${GTK3_LIBRARIES}" )
 message( "  CAIRO_LIBRARIES = ${CAIRO_LIBRARIES}" )
 message( "  GEE_LIBRARIES = ${GEE_LIBRARIES}" )
 message( "  INDICATOR_LIBRARIES = ${INDICATOR_LIBRARIES}" )
+message( "  INDICATOR3_LIBRARIES = ${INDICATOR3_LIBRARIES}" )
 message( "  XML_LIBRARIES = ${XML_LIBRARIES}" )
 message( "  XTST_LIBRARIES = ${XTST_LIBRARIES}" )
 message( "  GMENU_LIBRARIES = ${GMENU_LIBRARIES}" )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,10 @@
 if (${INDICATOR_FOUND})
   SET(DEFINES --define HAVE_APPINDICATOR)
 endif(${INDICATOR_FOUND})
+
+if (${GTK3_FOUND})
+  SET(DEFINES --define HAVE_GTK_3)
+endif(${GTK3_FOUND})
 
 if (${GMENU3_FOUND})
     LIST(APPEND DEFINES --define HAVE_GMENU_3)
@@ -39,7 +43,7 @@
 # install credits
 install(
 	FILES
-		${CMAKE_SOURCE_DIR}/README
+		${CMAKE_SOURCE_DIR}/README.md
 	DESTINATION
 		${CMAKE_INSTALL_PREFIX}/share/doc/gnome-pie
 )
@@ -63,11 +67,18 @@
 		${CMAKE_INSTALL_PREFIX}/share/gnome-pie
 )
 
+# install UI files
+install(
+	DIRECTORY
+		${CMAKE_SOURCE_DIR}/resources/ui
+	DESTINATION
+		${CMAKE_INSTALL_PREFIX}/share/gnome-pie
+)
+
 # install icons
 install(
 	FILES
 		${CMAKE_SOURCE_DIR}/resources/gnome-pie.svg
-		${CMAKE_SOURCE_DIR}/resources/gnome-pie-indicator.svg
 	DESTINATION
 		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
 )

=== debian/changelog ===
gnome-pie (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Explicitly set the build system
  * One Build-Depends per line

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 22 Jan 2012 14:11:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,16 @@
 Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
 Uploaders: Andrea Veri <and@debian.org>
 Build-Depends: debhelper (>= 8), cmake,
- libbamf-dev, libcairo2-dev, libgee-dev,
- libgnome-menu-dev, libgtk2.0-dev,
- libunique-dev, libwnck-dev, 
- libxml2-dev,  libxtst-dev, valac
+ libbamf-dev,
+ libcairo2-dev,
+ libgee-dev,
+ libgnome-menu-dev,
+ libgtk2.0-dev,
+ libunique-dev,
+ libwnck-dev,
+ libxml2-dev,
+ libxtst-dev,
+ valac
 Standards-Version: 3.9.2
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_install:
 	dh_auto_install

## gnome-pie 0.4.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,11 +6,14 @@
 file(GLOB VALA_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.vala */*.vala)
 
 if (${INDICATOR_FOUND})
-  SET(DEFINES --define HAVE_APPINDICATOR)
+  LIST(APPEND DEFINES --define HAVE_APPINDICATOR)
 endif(${INDICATOR_FOUND})
+if (${INDICATOR3_FOUND})
+  LIST(APPEND DEFINES --define HAVE_APPINDICATOR)
+endif(${INDICATOR3_FOUND})
 
 if (${GTK3_FOUND})
-  SET(DEFINES --define HAVE_GTK_3)
+  LIST(APPEND DEFINES --define HAVE_GTK_3)
 endif(${GTK3_FOUND})
 
 if (${GMENU3_FOUND})

=== debian/changelog ===
gnome-pie (0.4.2-1) unstable; urgency=low

  * New upstream release
  * Update upstream copyright years

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 27 Jan 2012 21:44:10 +0100

## gnome-pie 0.5.2

=== debian/changelog ===
gnome-pie (0.5.2-1) unstable; urgency=low

  * New upstream release
    - Do not override dh_auto_install anymore
      (pt_BR locale has the correct name now)
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Bump debhelper compat level to 9
  * Switch to GTK+ 3.0

 -- Alessandro Ghedini <al3xbio@gmail.com>  Mon, 19 Mar 2012 18:41:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
 Uploaders: Andrea Veri <and@debian.org>
-Build-Depends: debhelper (>= 8), cmake,
- libbamf-dev,
+Build-Depends: debhelper (>= 9), 
+ cmake,
+ libbamf3-dev,
  libcairo2-dev,
  libgee-dev,
- libgnome-menu-dev,
- libgtk2.0-dev,
- libunique-dev,
- libwnck-dev,
+ libgnome-menu-3-dev,
+ libgtk-3-dev,
+ libunique-3.0-dev,
+ libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
  valac
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-pie.git;a=summary

## gnome-pie 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,6 +50,7 @@
 pkg_check_modules(GMENU3 libgnome-menu-3.0)
 
 find_library(M_LIB m)
+find_library(GTHREAD_LIB gthread-2.0)
 
 set(CFLAGS
     ${GIO_CFLAGS}
@@ -81,9 +82,8 @@
 if (${INDICATOR_FOUND})
     LIST(APPEND CFLAGS -DHAVE_APPINDICATOR)
 endif (${INDICATOR_FOUND})
-
 if (${INDICATOR3_FOUND})
-    LIST(APPEND CFLAGS -DHAVE_APPINDICATOR3)
+    LIST(APPEND CFLAGS -DHAVE_APPINDICATOR)
 endif (${INDICATOR3_FOUND})
 
 add_definitions(${CFLAGS})
@@ -105,6 +105,7 @@
 	${WNCK_LIBRARIES}
 	${BAMF_LIBRARIES}
 	${M_LIB}
+	${GTHREAD_LIB}
 )
 link_libraries(${LIBS})

=== debian/changelog ===
gnome-pie (0.5.3-1) unstable; urgency=low

  * New upstream release
  * Email change: Alessandro Ghedini -> ghedo@debian.org
  * Explicitly build depends on valac-0.14 (Closes: #673591)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 20 May 2012 20:34:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gnome-pie
 Section: gnome
 Priority: optional
-Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
+Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Uploaders: Andrea Veri <and@debian.org>
-Build-Depends: debhelper (>= 9), 
+Build-Depends: debhelper (>= 9),
  cmake,
  libbamf3-dev,
  libcairo2-dev,
@@ -14,7 +14,7 @@
  libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
- valac
+ valac-0.14
 Standards-Version: 3.9.3
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git

## gnome-pie 0.5.4

=== Makefile ===
BUILD_ROOT = 1
PROGRAM=gnome-pie

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -82,6 +82,7 @@
 install(
 	FILES
 		${CMAKE_SOURCE_DIR}/resources/gnome-pie.svg
+		${CMAKE_SOURCE_DIR}/resources/gnome-pie-symbolic.svg
 	DESTINATION
 		${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
 )

=== debian/changelog ===
gnome-pie (0.5.4-1build2) saucy; urgency=low

  * No change rebuild with the new bamf soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Aug 2013 13:06:07 +0200

gnome-pie (0.5.4-1build1) raring; urgency=low

  * No-change rebuild for libbamf3-0 -> libbamf3-1 transition

 -- Michael Terry <mterry@ubuntu.com>  Mon, 14 Jan 2013 14:55:11 -0500

gnome-pie (0.5.4-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Build depend on unversioned valac (Closes: #675644)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 07 Nov 2012 18:46:56 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
- valac-0.14
-Standards-Version: 3.9.3
+ valac
+Standards-Version: 3.9.4
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-pie.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
version=3

https://github.com/Simmesimme/Gnome-Pie/downloads \
		/downloads/Simmesimme/Gnome-Pie/Gnome-Pie-(.*).tar.gz

## gnome-pie 0.5.5

=== debian/changelog ===
gnome-pie (0.5.5-1) unstable; urgency=medium

  * New Maintainer (Closes: #755431).
  * New upstream release (Closes: #687078).
  * Add debian/source/options:
    - Set compression to xz & compression-level to 9 to save space.
  * debian/control:
    - Set myself as maintainer.
    - Update Build-Depends:
      + replace deprecated libgee-dev with libgee-0.8-dev.
      + valac <= 0.16 will be removed. Therefore change
        valac release to >= 0.22.
  * New patch:
    - New debian/patches/001-gee-0.8.patch for new geeAPI 0.8 (Closes: #753863).
  * debian/copyright:
    - Add myself to the list of authors for debian/*.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 30 Jul 2014 07:25:36 +0200

gnome-pie (0.5.4-2) unstable; urgency=medium

  * QA upload
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Orphan the package
  * Update watch file to point to correct GitHub page
  * Fix vcs-field-not-canonical

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 20 Jul 2014 19:52:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: gnome-pie
 Section: gnome
 Priority: optional
-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Uploaders: Andrea Veri <and@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Build-Depends: 
+ debhelper (>= 9),
  cmake,
  libbamf3-dev,
  libcairo2-dev,
- libgee-dev,
+ libgee-0.8-dev (>= 0.10),
  libgnome-menu-3-dev,
  libgtk-3-dev,
  libunique-3.0-dev,
  libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
- valac
-Standards-Version: 3.9.4
+ valac (>= 0.22)
+Standards-Version: 3.9.5
 Homepage: http://gnome-pie.simonschneegans.de/
-Vcs-Git: git://git.debian.org/collab-maint/gnome-pie.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-pie.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-pie.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnome-pie.git
 
 Package: gnome-pie
 Architecture: any

## gnome-pie 0.5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -137,7 +137,7 @@
 	${INDICATOR_INCLUDE_DIRS}
 	${INDICATOR3_INCLUDE_DIRS}
 	${XML_INCLUDE_DIRS}
-	${XTST_INCLUDE_DIRS}	
+	${XTST_INCLUDE_DIRS}
 	${GMENU_INCLUDE_DIRS}
 	${GMENU3_INCLUDE_DIRS}
 	${UNIQUE_INCLUDE_DIRS}

=== debian/changelog ===
gnome-pie (0.5.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Change Vcs-Browser to cgit.
  * Add year 2015 to debian/copyright.
  * New debian/patches/02-desktop_file.patch:
    - Add missing keyword entry.
  * Remove useless debian/source/options.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 17 Jan 2015 14:05:06 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  libxml2-dev,
  libxtst-dev,
  valac (>= 0.22)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-pie.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnome-pie.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gnome-pie.git
 
 Package: gnome-pie
 Architecture: any

## gnome-pie 0.5.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,24 +26,13 @@
 find_package(PkgConfig)
 
 # check whether GTK3 is supported
-pkg_check_modules(GTK3 gtk+-3.0)
-
-if (${GTK3_FOUND})
-    pkg_check_modules(INDICATOR3 appindicator3-0.1)
-    pkg_check_modules(UNIQUE REQUIRED unique-3.0)
-    pkg_check_modules(WNCK REQUIRED libwnck-3.0)
-    pkg_check_modules(BAMF REQUIRED libbamf3)
-else (${GTK3_FOUND})
-    pkg_check_modules(GTK2 REQUIRED gtk+-2.0)
-    pkg_check_modules(INDICATOR appindicator-0.1)
-    pkg_check_modules(UNIQUE REQUIRED unique-1.0)
-    pkg_check_modules(WNCK REQUIRED libwnck-1.0)
-    pkg_check_modules(BAMF REQUIRED libbamf)
-endif (${GTK3_FOUND})
-
+pkg_check_modules(GTK3 REQUIRED gtk+-3.0)
+pkg_check_modules(INDICATOR3 appindicator3-0.1)
+pkg_check_modules(WNCK REQUIRED libwnck-3.0)
+pkg_check_modules(BAMF REQUIRED libbamf3)
 pkg_check_modules(GIO REQUIRED gio-unix-2.0)
 pkg_check_modules(CAIRO REQUIRED cairo)
-pkg_check_modules(GEE REQUIRED gee-1.0)
+pkg_check_modules(GEE REQUIRED gee-0.8)
 pkg_check_modules(X11 REQUIRED x11)
 pkg_check_modules(XML REQUIRED libxml-2.0)
 pkg_check_modules(XTST REQUIRED xtst)
@@ -54,7 +43,6 @@
 
 set(CFLAGS
     ${GIO_CFLAGS}
-    ${GTK2_CFLAGS} ${GTK2_CFLAGS_OTHER}
     ${GTK3_CFLAGS} ${GTK3_CFLAGS_OTHER}
     ${CAIRO_CFLAGS} ${CAIRO_CFLAGS_OTHER}
     ${GEE_CFLAGS} ${CAIRO_CFLAGS_OTHER}
@@ -65,11 +53,6 @@
 	-s -O3 -w
 #	-g
 )
-
-# fallback to gtk2 if gtk3 wasn't found
-if (${GTK3_FOUND})
-    LIST(APPEND CFLAGS -DHAVE_GTK_3)
-endif (${GTK3_FOUND})
 
 # fallback to gnome-menus2 if gnome-menus3 wasn't found
 if (${GMENU3_FOUND})
@@ -90,7 +73,6 @@
 
 set(LIBS
     ${GIO_LIBRARIES}
-	${GTK2_LIBRARIES}
 	${GTK3_LIBRARIES}
 	${CAIRO_LIBRARIES}
 	${GEE_LIBRARIES}
@@ -100,7 +82,6 @@
 	${XTST_LIBRARIES}
 	${GMENU_LIBRARIES}
 	${GMENU3_LIBRARIES}
-	${UNIQUE_LIBRARIES}
 	${X11_LIBRARIES}
 	${WNCK_LIBRARIES}
 	${BAMF_LIBRARIES}
@@ -111,7 +92,6 @@
 
 set(LIB_PATHS
     ${GIO_LIBRARY_DIRS}
-	${GTK2_LIBRARY_DIRS}
 	${GTK3_LIBRARY_DIRS}
 	${CAIRO_LIBRARY_DIRS}
 	${GEE_LIBRARY_DIRS}
@@ -121,7 +101,6 @@
 	${XTST_LIBRARY_DIRS}
 	${GMENU_LIBRARY_DIRS}
 	${GMENU3_LIBRARY_DIRS}
-	${UNIQUE_LIBRARY_DIRS}
 	${X11_LIBRARY_DIRS}
 	${WNCK_LIBRARY_DIRS}
 	${BAMF_LIBRARY_DIRS}
@@ -130,7 +109,6 @@
 
 set(INCLUDE_PATHS
     ${GIO_INCLUDE_DIRS}
-	${GTK2_INCLUDE_DIRS}
 	${GTK3_INCLUDE_DIRS}
 	${CAIRO_INCLUDE_DIRS}
 	${GEE_INCLUDE_DIRS}
@@ -140,7 +118,6 @@
 	${XTST_INCLUDE_DIRS}
 	${GMENU_INCLUDE_DIRS}
 	${GMENU3_INCLUDE_DIRS}
-	${UNIQUE_INCLUDE_DIRS}
 	${X11_INCLUDE_DIRS}
 	${BAMF_INCLUDE_DIRS}
 	${WNCK_INCLUDE_DIRS}
@@ -154,8 +131,12 @@
 set(EXECUTABLE_OUTPUT_PATH ${gnomepie_SOURCE_DIR})
 
 set(VALA_PKGS
+  gtk+-3.0
+  gdk-x11-3.0
+  libwnck-3.0
+  libbamf3
   cairo
-  gee-1.0
+  gee-0.8
   x11
   gio-unix-2.0
   posix
@@ -176,20 +157,6 @@
 else (${GMENU3_FOUND})
     LIST(APPEND VALA_PKGS libgnome-menu)
 endif (${GMENU3_FOUND})
-
-if (${GTK3_FOUND})
-    LIST(APPEND VALA_PKGS gtk+-3.0)
-    LIST(APPEND VALA_PKGS gdk-x11-3.0)
-    LIST(APPEND VALA_PKGS libbamf3)
-    LIST(APPEND VALA_PKGS libwnck-3.0)
-    LIST(APPEND VALA_PKGS unique-3.0)
-else (${GTK3_FOUND})
-    LIST(APPEND VALA_PKGS gtk+-2.0)
-    LIST(APPEND VALA_PKGS gdk-x11-2.0)
-    LIST(APPEND VALA_PKGS bamf)
-    LIST(APPEND VALA_PKGS libwnck-1.0)
-    LIST(APPEND VALA_PKGS unique-1.0)
-endif (${GTK3_FOUND})
 
 add_subdirectory(src)
 
@@ -214,7 +181,6 @@
 message( "  EXECUTABLE_OUTPUT_PATH = ${EXECUTABLE_OUTPUT_PATH}" )
 message( "  VALA_EXECUTABLE = ${VALA_EXECUTABLE}" )
 message( "Libs:" )
-message( "  GTK2_LIBRARIES = ${GTK2_LIBRARIES}" )
 message( "  GTK3_LIBRARIES = ${GTK3_LIBRARIES}" )
 message( "  CAIRO_LIBRARIES = ${CAIRO_LIBRARIES}" )
 message( "  GEE_LIBRARIES = ${GEE_LIBRARIES}" )
@@ -224,7 +190,6 @@
 message( "  XTST_LIBRARIES = ${XTST_LIBRARIES}" )
 message( "  GMENU_LIBRARIES = ${GMENU_LIBRARIES}" )
 message( "  GMENU3_LIBRARIES = ${GMENU3_LIBRARIES}" )
-message( "  UNIQUE_LIBRARIES = ${UNIQUE_LIBRARIES}" )
 message( "  X11_LIBRARIES = ${X11_LIBRARIES}" )
 message( "  BAMF_LIBRARIES = ${BAMF_LIBRARIES}" )
 message( "  WNCK_LIBRARIES = ${WNCK_LIBRARIES}" )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,6 @@
 if (${INDICATOR3_FOUND})
   LIST(APPEND DEFINES --define HAVE_APPINDICATOR)
 endif(${INDICATOR3_FOUND})
-
-if (${GTK3_FOUND})
-  LIST(APPEND DEFINES --define HAVE_GTK_3)
-endif(${GTK3_FOUND})
 
 if (${GMENU3_FOUND})
     LIST(APPEND DEFINES --define HAVE_GMENU_3)

=== debian/changelog ===
gnome-pie (0.5.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Remove 001-gee-0.8.patch, applied upstream.
    - Remove 002-desktop_file.patch, applied upstream.
  * Reformat debian/copyright to prevent lintian warnings.
  * debian/control:
    - Add Build-Depends libicu-dev for missing unicode/ucnv.h.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 01 Feb 2015 11:50:33 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  libgee-0.8-dev (>= 0.10),
  libgnome-menu-3-dev,
  libgtk-3-dev,
+ libicu-dev,
  libunique-3.0-dev,
  libwnck-3-dev,
  libxml2-dev,

## gnome-pie 0.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 include(ValaVersion)
 
 find_package(Vala)
-ensure_vala_version("0.11.0" MINIMUM)
+ensure_vala_version("0.22.0" MINIMUM)
 
 ################################################################
 # Configure and find libraries

=== debian/changelog ===
gnome-pie (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * New debian/patches/0500_bamf3-vapi.patch:
    - Add missing vapi/libbamf3.vapi to prevent build error.
  * debain/copyright:
    - Remove unused Files paragraphs.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 11 May 2015 18:49:32 +0200

gnome-pie (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add requested libappindicator3-dev to Build-Depends.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 19 Apr 2015 10:28:44 +0200

## gnome-pie 0.6.4

=== debian/changelog ===
gnome-pie (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 02 Aug 2015 09:30:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: 
  debhelper (>= 9),
  cmake,
+ libappindicator3-dev,
  libbamf3-dev,
  libcairo2-dev,
  libgee-0.8-dev (>= 0.10),

## gnome-pie 0.6.6

=== debian/changelog ===
gnome-pie (0.6.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add libarchive-dev to Build-Depends.
    - Change requested version of vala to >= 0.24.
  * debian/rules:
    - Add override_dh_auto_build to compile po files at build time.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 27 Sep 2015 15:07:47 +0200

## gnome-pie 0.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,6 @@
 
 find_package(PkgConfig)
 
-# check whether GTK3 is supported
 pkg_check_modules(GTK3 REQUIRED gtk+-3.0)
 pkg_check_modules(INDICATOR3 appindicator3-0.1)
 pkg_check_modules(WNCK REQUIRED libwnck-3.0)
@@ -40,6 +39,7 @@
 
 find_library(M_LIB m)
 find_library(GTHREAD_LIB gthread-2.0)
+find_library(ARCHIVE_LIB archive)
 
 set(CFLAGS
     ${GIO_CFLAGS}
@@ -84,7 +84,8 @@
 	${GMENU3_LIBRARIES}
 	${X11_LIBRARIES}
 	${WNCK_LIBRARIES}
-	${BAMF_LIBRARIES}
+    ${BAMF_LIBRARIES}
+	${ARCHIVE_LIB}
 	${M_LIB}
 	${GTHREAD_LIB}
 )
@@ -103,7 +104,7 @@
 	${GMENU3_LIBRARY_DIRS}
 	${X11_LIBRARY_DIRS}
 	${WNCK_LIBRARY_DIRS}
-	${BAMF_LIBRARY_DIRS}
+    ${BAMF_LIBRARY_DIRS}
 )
 link_directories(${LIB_PATHS})
 
@@ -120,7 +121,7 @@
 	${GMENU3_INCLUDE_DIRS}
 	${X11_INCLUDE_DIRS}
 	${BAMF_INCLUDE_DIRS}
-	${WNCK_INCLUDE_DIRS}
+    ${WNCK_INCLUDE_DIRS}
 )
 include_directories(${INCLUDE_PATHS})
 
@@ -142,6 +143,7 @@
   posix
   libxml-2.0
   xtst
+  libarchive
 )
 
 if (${INDICATOR_FOUND})
@@ -193,4 +195,5 @@
 message( "  X11_LIBRARIES = ${X11_LIBRARIES}" )
 message( "  BAMF_LIBRARIES = ${BAMF_LIBRARIES}" )
 message( "  WNCK_LIBRARIES = ${WNCK_LIBRARIES}" )
+message( "  ARCHIVE_LIBRARIES = ${ARCHIVE_LIB}" )
 message( "" )

=== src/CMakeLists.txt ===
################################################################
# Actually compile the executable
################################################################

# determine source and header files
file(GLOB VALA_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.vala */*.vala)

if (${INDICATOR_FOUND})
  LIST(APPEND DEFINES --define HAVE_APPINDICATOR)
endif(${INDICATOR_FOUND})
if (${INDICATOR3_FOUND})
  LIST(APPEND DEFINES --define HAVE_APPINDICATOR)
endif(${INDICATOR3_FOUND})

if (${GMENU3_FOUND})
    LIST(APPEND DEFINES --define HAVE_GMENU_3)
endif (${GMENU3_FOUND})

# use valac to compile sources to c files
vala_precompile(
    VALA_C
        ${VALA_SRC}
    PACKAGES
        ${VALA_PKGS}
    OPTIONS
        --thread
        ${DEFINES}
)

# compile c-sources
add_executable(gnome-pie ${VALA_C})

# install executable
install(
    TARGETS
        gnome-pie
    RUNTIME DESTINATION
        ${CMAKE_INSTALL_PREFIX}/bin
)

# install credits
install(
    FILES
        ${CMAKE_SOURCE_DIR}/README.md
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/doc/gnome-pie
)

# install locales
install(
    DIRECTORY
        ${CMAKE_SOURCE_DIR}/resources/locale
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share
    PATTERN *.po EXCLUDE
    PATTERN *.pot EXCLUDE
    PATTERN *.sh EXCLUDE
)

# install themes
install(
    DIRECTORY
        ${CMAKE_SOURCE_DIR}/resources/themes
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/gnome-pie
)

# install UI files
install(
    DIRECTORY
        ${CMAKE_SOURCE_DIR}/resources/ui
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/gnome-pie
)

# install icons
install(
    FILES
        ${CMAKE_SOURCE_DIR}/resources/gnome-pie.svg
        ${CMAKE_SOURCE_DIR}/resources/gnome-pie-symbolic.svg
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
)

# desktop file
install(
    FILES
        ${CMAKE_SOURCE_DIR}/resources/gnome-pie.desktop
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/applications
)

# install manpage
install(
    FILES
        ${CMAKE_SOURCE_DIR}/resources/gnome-pie.1
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/man/man1
)

=== debian/changelog ===
gnome-pie (0.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 19 Dec 2015 14:51:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper (>= 9),
  cmake,
  libappindicator3-dev,
+ libarchive-dev,
  libbamf3-dev,
  libcairo2-dev,
  libgee-0.8-dev (>= 0.10),
@@ -16,7 +17,7 @@
  libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
- valac (>= 0.22)
+ valac (>= 0.24)
 Standards-Version: 3.9.6
 Homepage: http://gnome-pie.simonschneegans.de/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-pie.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_build:
	$(CURDIR)/resources/locale/compile-po.sh
	dh_auto_build

## gnome-pie 0.6.9

=== debian/changelog ===
gnome-pie (0.6.9-1) unstable; urgency=medium

  * New upstream release:
    - Remove now useless libbamf3-dev from Build Depends.
    - Remove useless debian/patches/0500_bamf3-vapi.patch.
  * debian/rules:
    - Enable hardening.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 26 Aug 2016 17:29:11 +0200

gnome-pie (0.6.8-2) unstable; urgency=medium

  * debian/control:
    - Remove useless libunique-3.0-dev from Build-Depends (Closes: #824576).
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-Browser to secure URI.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 06 Jun 2016 00:36:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,24 @@
 Section: gnome
 Priority: optional
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
-Build-Depends: 
+Build-Depends:
  debhelper (>= 9),
  cmake,
  libappindicator3-dev,
  libarchive-dev,
- libbamf3-dev,
  libcairo2-dev,
  libgee-0.8-dev (>= 0.10),
  libgnome-menu-3-dev,
  libgtk-3-dev,
  libicu-dev,
- libunique-3.0-dev,
  libwnck-3-dev,
  libxml2-dev,
  libxtst-dev,
  valac (>= 0.24)
-Standards-Version: 3.9.6
-Homepage: http://gnome-pie.simonschneegans.de/
+Standards-Version: 3.9.8
+Homepage: https://gnome-pie.simonschneegans.de/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-pie.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/gnome-pie.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-pie.git
 
 Package: gnome-pie
 Architecture: any

## gnome-pie 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,6 @@
 pkg_check_modules(GTK3 REQUIRED gtk+-3.0)
 pkg_check_modules(INDICATOR3 appindicator3-0.1)
 pkg_check_modules(WNCK REQUIRED libwnck-3.0)
-pkg_check_modules(BAMF REQUIRED libbamf3)
 pkg_check_modules(GIO REQUIRED gio-unix-2.0)
 pkg_check_modules(CAIRO REQUIRED cairo)
 pkg_check_modules(GEE REQUIRED gee-0.8)
@@ -47,11 +46,11 @@
     ${CAIRO_CFLAGS} ${CAIRO_CFLAGS_OTHER}
     ${GEE_CFLAGS} ${CAIRO_CFLAGS_OTHER}
     ${X11_CFLAGS} ${X11_CFLAGS_OTHER}
-	-DGMENU_I_KNOW_THIS_IS_UNSTABLE
-	-DWNCK_I_KNOW_THIS_IS_UNSTABLE
+    -DGMENU_I_KNOW_THIS_IS_UNSTABLE
+    -DWNCK_I_KNOW_THIS_IS_UNSTABLE
     -DGETTEXT_PACKAGE="gnomepie"
-	-s -O3 -w
-#	-g
+    -s -O3 -w
+#   -g
 )
 
 # fallback to gnome-menus2 if gnome-menus3 wasn't found
@@ -84,7 +83,6 @@
 	${GMENU3_LIBRARIES}
 	${X11_LIBRARIES}
 	${WNCK_LIBRARIES}
-    ${BAMF_LIBRARIES}
 	${ARCHIVE_LIB}
 	${M_LIB}
 	${GTHREAD_LIB}
@@ -104,7 +102,6 @@
 	${GMENU3_LIBRARY_DIRS}
 	${X11_LIBRARY_DIRS}
 	${WNCK_LIBRARY_DIRS}
-    ${BAMF_LIBRARY_DIRS}
 )
 link_directories(${LIB_PATHS})
 
@@ -120,8 +117,7 @@
 	${GMENU_INCLUDE_DIRS}
 	${GMENU3_INCLUDE_DIRS}
 	${X11_INCLUDE_DIRS}
-	${BAMF_INCLUDE_DIRS}
-    ${WNCK_INCLUDE_DIRS}
+  ${WNCK_INCLUDE_DIRS}
 )
 include_directories(${INCLUDE_PATHS})
 
@@ -135,7 +131,6 @@
   gtk+-3.0
   gdk-x11-3.0
   libwnck-3.0
-  libbamf3
   cairo
   gee-0.8
   x11
@@ -193,7 +188,6 @@
 message( "  GMENU_LIBRARIES = ${GMENU_LIBRARIES}" )
 message( "  GMENU3_LIBRARIES = ${GMENU3_LIBRARIES}" )
 message( "  X11_LIBRARIES = ${X11_LIBRARIES}" )
-message( "  BAMF_LIBRARIES = ${BAMF_LIBRARIES}" )
 message( "  WNCK_LIBRARIES = ${WNCK_LIBRARIES}" )
 message( "  ARCHIVE_LIBRARIES = ${ARCHIVE_LIB}" )
 message( "" )

=== debian/changelog ===
gnome-pie (0.7.0-1ubuntu1) artful; urgency=medium

  * Add build-with-vala36.patch:
    - Backport patch to fix build with vala 0.36

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Jun 2017 19:39:49 -0400

gnome-pie (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat to 10:
    - Change debian/compat to 10.
    - Change debhelper version at debian/control to >= 10.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 02 Oct 2016 16:34:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gnome-pie
 Section: gnome
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  cmake,
  libappindicator3-dev,
  libarchive-dev,

## gnome-pie 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 pkg_check_modules(GTK3 REQUIRED gtk+-3.0)
 pkg_check_modules(INDICATOR3 appindicator3-0.1)
 pkg_check_modules(WNCK REQUIRED libwnck-3.0)
+pkg_check_modules(BAMF libbamf3)
 pkg_check_modules(GIO REQUIRED gio-unix-2.0)
 pkg_check_modules(CAIRO REQUIRED cairo)
 pkg_check_modules(GEE REQUIRED gee-0.8)
@@ -50,12 +51,26 @@
     -DWNCK_I_KNOW_THIS_IS_UNSTABLE
     -DGETTEXT_PACKAGE="gnomepie"
     -s -O3 -w
-#   -g
-)
+)
+
+if (GTK3_VERSION VERSION_LESS 3.20)
+    message(GTK version ${GTK3_VERSION} is older than 3.20. Some features will not be available.)
+else()
+    LIST(APPEND CFLAGS -DHAVE_GTK_3_20)
+    LIST(APPEND VALA_DEFINES --define HAVE_GTK_3_20)
+endif()
+
+if (GTK3_VERSION VERSION_LESS 3.22)
+    message(GTK version ${GTK3_VERSION} is older than 3.22. Some features will not be available.)
+else()
+    LIST(APPEND CFLAGS -DHAVE_GTK_3_22)
+    LIST(APPEND VALA_DEFINES --define HAVE_GTK_3_22)
+endif()
 
 # fallback to gnome-menus2 if gnome-menus3 wasn't found
 if (${GMENU3_FOUND})
     LIST(APPEND CFLAGS -DHAVE_GMENU_3)
+    LIST(APPEND VALA_DEFINES --define HAVE_GMENU_3)
 else (${GMENU3_FOUND})
     pkg_check_modules(GMENU REQUIRED libgnome-menu)
 endif (${GMENU3_FOUND})
@@ -63,61 +78,71 @@
 # notify application of presence of libappindicator
 if (${INDICATOR_FOUND})
     LIST(APPEND CFLAGS -DHAVE_APPINDICATOR)
+    LIST(APPEND VALA_DEFINES --define HAVE_APPINDICATOR)
 endif (${INDICATOR_FOUND})
 if (${INDICATOR3_FOUND})
     LIST(APPEND CFLAGS -DHAVE_APPINDICATOR)
+    LIST(APPEND VALA_DEFINES --define HAVE_APPINDICATOR)
 endif (${INDICATOR3_FOUND})
+
+if (${BAMF_FOUND})
+    LIST(APPEND CFLAGS -DHAVE_BAMF)
+    LIST(APPEND VALA_DEFINES --define HAVE_BAMF)
+endif (${BAMF_FOUND})
 
 add_definitions(${CFLAGS})
 
 set(LIBS
     ${GIO_LIBRARIES}
-	${GTK3_LIBRARIES}
-	${CAIRO_LIBRARIES}
-	${GEE_LIBRARIES}
-	${INDICATOR_LIBRARIES}
-	${INDICATOR3_LIBRARIES}
-	${XML_LIBRARIES}
-	${XTST_LIBRARIES}
-	${GMENU_LIBRARIES}
-	${GMENU3_LIBRARIES}
-	${X11_LIBRARIES}
-	${WNCK_LIBRARIES}
-	${ARCHIVE_LIB}
-	${M_LIB}
-	${GTHREAD_LIB}
+    ${GTK3_LIBRARIES}
+    ${CAIRO_LIBRARIES}
+    ${GEE_LIBRARIES}
+    ${INDICATOR_LIBRARIES}
+    ${INDICATOR3_LIBRARIES}
+    ${XML_LIBRARIES}
+    ${XTST_LIBRARIES}
+    ${GMENU_LIBRARIES}
+    ${GMENU3_LIBRARIES}
+    ${X11_LIBRARIES}
+    ${WNCK_LIBRARIES}
+    ${BAMF_LIBRARIES}
+    ${ARCHIVE_LIB}
+    ${M_LIB}
+    ${GTHREAD_LIB}
 )
 link_libraries(${LIBS})
 
 set(LIB_PATHS
     ${GIO_LIBRARY_DIRS}
-	${GTK3_LIBRARY_DIRS}
-	${CAIRO_LIBRARY_DIRS}
-	${GEE_LIBRARY_DIRS}
-	${INDICATOR_LIBRARY_DIRS}
-	${INDICATOR3_LIBRARY_DIRS}
-	${XML_LIBRARY_DIRS}
-	${XTST_LIBRARY_DIRS}
-	${GMENU_LIBRARY_DIRS}
-	${GMENU3_LIBRARY_DIRS}
-	${X11_LIBRARY_DIRS}
-	${WNCK_LIBRARY_DIRS}
+    ${GTK3_LIBRARY_DIRS}
+    ${CAIRO_LIBRARY_DIRS}
+    ${GEE_LIBRARY_DIRS}
+    ${INDICATOR_LIBRARY_DIRS}
+    ${INDICATOR3_LIBRARY_DIRS}
+    ${XML_LIBRARY_DIRS}
+    ${XTST_LIBRARY_DIRS}
+    ${GMENU_LIBRARY_DIRS}
+    ${GMENU3_LIBRARY_DIRS}
+    ${X11_LIBRARY_DIRS}
+    ${WNCK_LIBRARY_DIRS}
+    ${BAMF_LIBRARY_DIRS}
 )
 link_directories(${LIB_PATHS})
 
 set(INCLUDE_PATHS
     ${GIO_INCLUDE_DIRS}
-	${GTK3_INCLUDE_DIRS}
-	${CAIRO_INCLUDE_DIRS}
-	${GEE_INCLUDE_DIRS}
-	${INDICATOR_INCLUDE_DIRS}
-	${INDICATOR3_INCLUDE_DIRS}
-	${XML_INCLUDE_DIRS}
-	${XTST_INCLUDE_DIRS}
-	${GMENU_INCLUDE_DIRS}
-	${GMENU3_INCLUDE_DIRS}
-	${X11_INCLUDE_DIRS}
-  ${WNCK_INCLUDE_DIRS}
+    ${GTK3_INCLUDE_DIRS}
+    ${CAIRO_INCLUDE_DIRS}
+    ${GEE_INCLUDE_DIRS}
+    ${INDICATOR_INCLUDE_DIRS}
+    ${INDICATOR3_INCLUDE_DIRS}
+    ${XML_INCLUDE_DIRS}
+    ${XTST_INCLUDE_DIRS}
+    ${GMENU_INCLUDE_DIRS}
+    ${GMENU3_INCLUDE_DIRS}
+    ${X11_INCLUDE_DIRS}
+    ${WNCK_INCLUDE_DIRS}
+    ${BAMF_INCLUDE_DIRS}
 )
 include_directories(${INCLUDE_PATHS})
 
@@ -128,17 +153,17 @@
 set(EXECUTABLE_OUTPUT_PATH ${gnomepie_SOURCE_DIR})
 
 set(VALA_PKGS
-  gtk+-3.0
-  gdk-x11-3.0
-  libwnck-3.0
-  cairo
-  gee-0.8
-  x11
-  gio-unix-2.0
-  posix
-  libxml-2.0
-  xtst
-  libarchive
+    gtk+-3.0
+    gdk-x11-3.0
+    libwnck-3.0
+    cairo
+    gee-0.8
+    x11
+    gio-unix-2.0
+    posix
+    libxml-2.0
+    xtst
+    libarchive
 )
 
 if (${INDICATOR_FOUND})
@@ -154,6 +179,10 @@
 else (${GMENU3_FOUND})
     LIST(APPEND VALA_PKGS libgnome-menu)
 endif (${GMENU3_FOUND})
+
+if (${BAMF_FOUND})
+    LIST(APPEND VALA_PKGS libbamf3)
+endif (${BAMF_FOUND})
 
 add_subdirectory(src)

=== debian/changelog ===
gnome-pie (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).
  * Refresh debian/copyright.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 25 Jul 2017 06:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-pie
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
  debhelper (>= 10),
  cmake,
@@ -17,7 +16,7 @@
  libxml2-dev,
  libxtst-dev,
  valac (>= 0.24)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://gnome-pie.simonschneegans.de/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-pie.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gnome-pie.git
